LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
htmsocket.c File Reference
`#include <stdio.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <netinet/in.h>`
`#include <netdb.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include "main.h"`
`#include "htmsocket.h"`

## Functions
void * | OpenHTMSocket (const char *host, int portnumber, boolean sender)
boolean | lives_stream_out (void *htmsendhandle, size_t length, void *buffer)
ssize_t | lives_stream_in (void *htmrecvhandle, size_t length, void *buffer, int bfsize)
void | CloseHTMSocket (void *htmsendhandle)

## Function Documentation

void CloseHTMSocket | ( | void * | htmsendhandle | ) |

ssize_t lives_stream_in | ( | void * | htmrecvhandle,
|  | size_t | length,
|  | void * | buffer,
|  | int | bfsize
| ) |  |

boolean lives_stream_out | ( | void * | htmsendhandle,
|  | size_t | length,
|  | void * | buffer
| ) |  |

void* OpenHTMSocket | ( | const char * | host,
|  | int | portnumber,
|  | boolean | sender
| ) |  |